// eg2multi_impl.java -- a test of an ORB's ability to handle multiple objects.

package UK.co.orl.omniorb;

import org.omg.CORBA.*;

public class eg2multi_impl {
  public static void main(String[] args) throws java.io.IOException {
    ORB orb = ORB.init(args, null);
    java.io.PrintWriter wr =
      new java.io.PrintWriter(new java.io.FileWriter("IORs"));

    for (int i = 0; i < 10000; i++) {
      echo_i myobj = new echo_i();
      orb.connect(myobj);
      wr.println(orb.object_to_string(myobj));
    }
    wr.close();
    Thread.currentThread().suspend();
  }
}
